
%global meadversion 1.4.10
%global namedversion 1.4.10.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 3
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}jboss-marshalling}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.10.Final-redhat-3

Name:           %{?scl_prefix}jboss-marshalling
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Marshalling API
Group:          Development/Java

%if %with mead
Source100: jboss-marshalling-parent-1.4.10.Final-redhat-3-scm-sources.zip
Source102: tests-1.4.10.Final-redhat-3.pom
Source103: tests-1.4.10.Final-redhat-3-sources.jar
Source104: tests-1.4.10.Final-redhat-3.jar
Source105: jboss-marshalling-1.4.10.Final-redhat-3-javadoc.jar
Source106: jboss-marshalling-1.4.10.Final-redhat-3.jar
Source107: jboss-marshalling-1.4.10.Final-redhat-3.pom
Source108: jboss-marshalling-1.4.10.Final-redhat-3-sources.jar
Source109: jboss-marshalling-serial-1.4.10.Final-redhat-3.pom
Source110: jboss-marshalling-serial-1.4.10.Final-redhat-3-javadoc.jar
Source111: jboss-marshalling-serial-1.4.10.Final-redhat-3-sources.jar
Source112: jboss-marshalling-serial-1.4.10.Final-redhat-3.jar
Source113: jboss-marshalling-river-1.4.10.Final-redhat-3-sources.jar
Source114: jboss-marshalling-river-1.4.10.Final-redhat-3.pom
Source115: jboss-marshalling-river-1.4.10.Final-redhat-3.jar
Source116: jboss-marshalling-river-1.4.10.Final-redhat-3-javadoc.jar
Source117: jboss-marshalling-osgi-1.4.10.Final-redhat-3-sources.jar
Source118: jboss-marshalling-osgi-1.4.10.Final-redhat-3.jar
Source119: jboss-marshalling-osgi-1.4.10.Final-redhat-3.pom
Source120: jboss-marshalling-parent-1.4.10.Final-redhat-3.pom
Source121: jboss-marshalling-parent-1.4.10.Final-redhat-3-project-sources.tar.gz
Source122: jboss-marshalling-parent-1.4.10.Final-redhat-3-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://jbossmarshalling.jboss.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Marshalling API.

%package -n %{?scl_prefix}jboss-marshalling-river
Summary:        JBoss Marshalling River
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-river
JBoss Marshalling River Implementation.

%package -n %{?scl_prefix}jboss-marshalling-serial
Summary:        JBoss Marshalling Serial
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-serial
JBoss Marshalling Serial Implementation.

%if %with tests
%package -n %{?scl_prefix}jboss-marshalling-tests
Summary:        JBoss Marshalling Tests
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-river = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-serial = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}testng >= 0:6.8.8

%description -n %{?scl_prefix}jboss-marshalling-tests
JBoss Marshalling Test Suite.
%endif

%package -n %{?scl_prefix}jboss-marshalling-osgi
Summary:        JBoss Marshalling OSGi Bundle
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-river = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-serial = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-osgi
JBoss Marshalling OSGi Bundle with API and implementations.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-marshalling
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-marshalling -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/tests-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/tests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/tests-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-marshalling-%{namedversion}
unzip -qq %{_sourcedir}/jboss-marshalling-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-marshalling-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-marshalling-%{namedversion} %{buildroot}%{_javadocdir}/jboss-marshalling
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-marshalling
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/jboss-marshalling-%{namedversion}.jar
%{_javadir}/jboss-marshalling.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-sources.jar

%files -n %{?scl_prefix}jboss-marshalling-river
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-river-%{namedversion}.jar
%{_javadir}/jboss-marshalling-river.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-river-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-river-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-river-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-river-sources.jar

%files -n %{?scl_prefix}jboss-marshalling-serial
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-serial-%{namedversion}.jar
%{_javadir}/jboss-marshalling-serial.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-serial-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-serial-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-serial-sources.jar

%if %with tests
%files -n %{?scl_prefix}jboss-marshalling-tests
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-tests-%{namedversion}.jar
%{_javadir}/jboss-marshalling-tests.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-tests-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-tests-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-tests-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-tests-sources.jar
%endif

%files -n %{?scl_prefix}jboss-marshalling-osgi
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-osgi-%{namedversion}.jar
%{_javadir}/jboss-marshalling-osgi.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-osgi-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-osgi-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-osgi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-marshalling-%{namedversion}
%{_javadocdir}/jboss-marshalling
%endif

%changelog
* Fri Oct 23 2015 David Walluck <dwalluck@redhat.com> - 1.4.10-3.Final_redhat_3.1
- release

